#!/bin/sh

if [ -n $1 ]; then
  MOUNTPOINT="$1"
  COMPACTIMAGE="$2"

  if [ -d "${MOUNTPOINT}" ]; then
    DEVICE=`df "${MOUNTPOINT}" | awk '/dev/ {print $1}'`
    if [ -n $DEVICE ]; then
      sync
      sleep 10s
      echo ejecting $DEVICE - $1
      CHECKERR=`hdiutil eject $DEVICE 2>&1 | grep error`
      if [ -n "$CHECKERR" ]; then
        echo Error: $CHECKERR
        ls -lah /dev/d* > /dev/null
        # that should eject the filesystem, but the image may still be attached, so eject that
        sync
        sleep 20s
        hdiutil eject `echo $DEVICE | sed s/s2//` > /dev/null
        ls -lah /dev/d* > /dev/null
      fi
    else
      echo $MOUNTPOINT is not mounted.
    fi
  fi

#  if [ -n "${COMPACTIMAGE}" ]; then
#    if [ -f "${COMPACTIMAGE}" -o -d "${COMPACTIMAGE}" ]; then
#		echo Compacting ${COMPACTIMAGE}
#        hdiutil compact "${COMPACTIMAGE}" | grep Reclaimed
#    fi
#  fi
else
  echo Usage: $0 \<image name\>
fi
