#!/bin/sh

# check that both input parameters exist
if [ -n $1 -a -n $2 ]; then
	IMAGENAME="$1"
	MOUNTPOINT="$2"
	# optional $3, 'compact' will compact the image before mounting

	# check that the disc image is a real file or folder
	if [ -f "${IMAGENAME}" -o -d "${IMAGENAME}" ]; then
		if [ -n "$3" -a "$3" == "compact" ]; then
			hdiutil compact "${IMAGENAME}"
		fi
		echo Mounting ${IMAGENAME}
		hdiutil attach "${IMAGENAME}" -mountpoint "${MOUNTPOINT}" > /dev/null
	else
		echo Error: Disc image $IMAGENAME not found.
	fi
else
	echo Usage: $0 \<image name\> \<mount point\>
fi
