#!/bin/sh

# check that input parameters exist
if [ -n $1 -a -n $2 -a -n $3 -a -n $4 ]; then
	IMAGENAME="$1"
	MOUNTPOINT="$2"
	WRAPPERFOLDER="$3"
	SOURCEFOLDER="$4"
	R_INCLUDES="$5"

	mountimg.sh "${IMAGENAME}" "${MOUNTPOINT}"
	if [ -d "${MOUNTPOINT}" ]; then
		if ! [ -d "${MOUNTPOINT}/${WRAPPERFOLDER}" ]; then
			mkdir "${MOUNTPOINT}/${WRAPPERFOLDER}"
		fi
		syncfiles.sh "${SOURCEFOLDER}/" "${MOUNTPOINT}/${WRAPPERFOLDER}/" ""${R_INCLUDES}" --delete-excluded --itemize-changes"
		ejectimg2.sh "${MOUNTPOINT}" "${IMAGENAME}"
		echo Finished syncing "${SOURCEFOLDER}" to "${MOUNTPOINT}${IMAGENAME}".
		echo Compacting backup disc image "${IMAGENAME}"
		hdiutil compact "${MOUNTPOINT}${IMAGENAME}"
		echo 
		echo 
		echo 
		echo 
	else
		echo Error: Disc image was not mounted.
	fi
else
	echo Usage: $0 \<image name\> \<mount point\> \<wrapper folder\> \<source folder\> \<optional: rsync includes\>
fi
