#!/bin/sh

# **** NOTE: this is the BACKUP script, not the restore script. ****

ORIG="$1"
DEST="$2"
# --modify-window=1 makes time comparison 1 second less accurate
PARAMS="$3 --modify-window=1 --progress"
SHOW_STATUS="$4"
DELETE="--delete-before"
#SPEEDLIMIT="--bwlimit=60 "
SPEEDLIMIT=""

if [ -n "`echo $3 | grep nodelete`" ]; then
  DELETE=""
  # we have to remove 'nodelete' because rscync will think it is a filename
  PARAMS="`echo $3 | sed s/nodelete//` --modify-window=1"
  echo Target files will not be deleted even if deleted from source.
fi

if [ -n "${ORIG}" ]; then
  if [ -n "${DEST}" ]; then
    if [ -n "${SHOW_STATUS}" -o "${PARAMS}" != "--progress" ]; then
      echo Syncing ${ORIG} to ${DEST}
    fi

    if ! [ -d "${DEST}" ]; then
      mkdir -p "${DEST}"
    fi

    if [ "${SHOW_STATUS}" != "" ]; then
      rsync -a $DELETE --human-readable ${SPEEDLIMIT} --stats --times ${PARAMS} "${ORIG}" "${DEST}" | grep speedup
    else
      # --sparse -> cannot be used with --inplace
      # --group causes problems because target group apparently can't be change to 'admin'
      rsync ${SPEEDLIMIT} --human-readable --recursive --times --perms --owner --devices --update --stats --links $DELETE ${PARAMS} "${ORIG}" "${DEST}"
    fi
  else
    echo syncfiles usage: source_dir target_dir [optional rsync params]
  fi
else
  echo syncfiles usage: source_dir target_dir [optional rsync params]
fi
